SetSignProcessCustomSubFilter

보안 및 서명

설명

디지털 서명 프로세스의 SubFilter 항목을 사용자 지정 문자열로 설정하여 서명 값의 인코딩을 지정함

SetSignProcessSubFilter와 비슷하지만 Subfilter 항목을 사용자 지정할 수 있습니다

제공된 문자열이 ETSI.로 시작하면(일반적으로 PAdES 기준 서명에는 ETSI.CAdES.detached, 문서 타임스탬프에는 ETSI.RFC3161) 라이브러리는 PAdES /Extensions /ESIC <</BaseVersion /1.7 /ExtensionLevel 2>> 항목을 문서 카탈로그에 자동으로 추가하며 이는 ETSI EN 319 142-1 v1.2.1 §5.6의 요구 사항입니다 TPDFlib으로 작성한 PDF에는 이에 상응하는 Adobe 선언(/Extensions /ADBE, /ExtensionLevel 8)도 함께 추가됩니다 삽입은 멱등성이 있으며 기존의 더 높은 확장 수준을 낮추지 않습니다

ETSI.CAdES.detached를 선택하면 PAdES-B-B 서명 경로도 활성화됩니다. 결과 CMS 페이로드에는 content-type(id-data) 및 signing-certificate-v2(RFC 5035 / RFC 5816) 인증 특성이 포함되고 EN 319 142-1의 Table 1에서 금지하는 signing-time 특성은 생략됩니다. 이는 라이브러리가 자체 특성 배열을 CryptSignMessage에 전달하기 때문입니다. 서명 인증서는 SHA-256 다이제스트로 식별되며(SetSignProcessDigestAlgorithm이 더 큰 해시를 선택하면 SHA-384 / SHA-512), 현재 빌드는 선택적 IssuerSerial 튜플(발급자 고유 이름과 일련번호)도 포함하므로 더 엄격한 PAdES 검증기가 후보 체인과 서명 인증서를 교차 확인할 수 있습니다

구문

Delphi

Function TPDFlib.SetSignProcessCustomSubFilter(SignProcessID: Integer; SubFilterStr: WideString): Integer;

ActiveX

Function PDFlib::SetSignProcessCustomSubFilter(SignProcessID As Long, SubFilterStr As String) As Long

DLL

int DLSetSignProcessCustomSubFilter(int InstanceID, int SignProcessID, const wchar_t * SubFilterStr);

매개변수

SignProcessIDNewSignProcessFromFile, NewSignProcessFromStream 또는 NewSignProcessFromString 함수가 반환한 값
SubFilterStr사용자 지정 SubFilter 문자열 항목

반환 값

0SignProcessID 매개변수가 유효하지 않거나 SubFilter 매개변수가 범위를 벗어났습니다
1Success